Package org.opensaml.messaging.context

# Class ScratchContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.messaging.context.ScratchContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ScratchContext extends BaseContext
A context subclass for holding arbitrary data in a map.

Since:
  3.4.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Map<Object,Object>`
`map`
Map of scratch data.

## Constructor Summary

Constructors
Constructor
Description
`ScratchContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<Object,Object>`
`getMap()`
Get the map of scratch data.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### map

@Nonnull @NullableElements private Map<Object,Object> map
Map of scratch data.

## Constructor Details

### ScratchContext

public ScratchContext()
Constructor.

## Method Details

### getMap

@Nonnull @NullableElements @Live public Map<Object,Object> getMap()
Get the map of scratch data.

Returns:
  the map